Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
- Enable or disable auto renewal for ICANN DNS domains
MCP API (1.0.0)
Request
Enable or disable auto renewal for ICANN DNS domains (.com, .net, .org, .io, etc.). When enabled, domains will be automatically renewed before expiration using the saved payment method. User must own the domains and have a valid payment method on file. Use ud_cart_get_payment_methods to retrieve available payment methods.
Array of domains to update auto renewal for
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_auto_renewal_update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_auto_renewal_update \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"action": "enable",
"domains": [
{
"name": "string"
}
],
"paymentMethodId": "string"
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Update domain flags (WHOIS privacy, transfer lock) for domains in your portfolio. Supports bulk operations for up to 50 domains.
Array of domain names to update (e.g., ["example.com", "mysite.io"])
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_flags_update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_flags_update \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
"example.com",
"mysite.io"
],
"flags": {
"DNS_TRANSFER_OUT": {
"status": "ENABLED"
},
"DNS_WHOIS_PROXY": {
"status": "ENABLED"
}
}
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Push domains to another Unstoppable Domains user. Requires MFA (two-factor authentication) verification. The recipient must accept the transfer.
Array of domain names to push (e.g., ["example.com", "mysite.io"])
Recipient's account ID in format "adjective-noun-xxx" (e.g., "brave-tiger-k7m")
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_push
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_push \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
"example.com",
"mysite.io"
],
"targetAccountId": "brave-tiger-k7m",
"otpCode": "123456"
}'{ "success": true, "pushedDomains": [ "string" ], "failedDomains": [ { … } ], "targetAccountId": "string", "message": "string" }